Bug 245864 - [patch] devel/subversion indicate STATIC breaks SVN integrations
Summary: [patch] devel/subversion indicate STATIC breaks SVN integrations
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Lev A. Serebryakov
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-04-24 00:50 UTC by Piotr Smyrak
Modified: 2020-06-03 15:34 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (lev)


Attachments
Makefile patch (532 bytes, patch)
2020-04-24 00:50 UTC, Piotr Smyrak
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Smyrak 2020-04-24 00:50:37 UTC
Created attachment 213737 [details]
Makefile patch

devel/subversion port has STATIC among number of options. Its description says "Build static version (no shared libs)".

Setting this option breaks support for Subversion integration ie. in devel/git, and other ports that rely on presence libsvn_client library. And these would end up attempting to rebuild the devel/subversion port as if it was not installed. 

The attached patch rewords the knob description to "No shared libs (disables SVN integration)" in an attempt to indicate consequences of enabling it.
Comment 1 Automation User 2020-05-11 03:53:59 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/144526558
Comment 2 Lev A. Serebryakov freebsd_committer 2020-06-03 15:34:12 UTC
Committed together with upgrade to 1.14.0